Index: /trunk/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 1133)
@@ -179,8 +179,6 @@
   }
 #endif
-#if LGE_DEFAULT_DV_J0046
   m_iDefaultRefViewIdx = -1;
   m_bDefaultRefViewIdxAvailableFlag = false;
-#endif
 }
 
@@ -1879,7 +1877,5 @@
   m_vpsBaseLayerAvailableFlag = true; 
 
-#if  H_MV_FIX_NUM_VIEWS
   m_numViews = 0; 
-#endif
 
 #endif
@@ -1918,7 +1914,5 @@
   m_repFormatIdxPresentFlag = false; 
   m_maxOneActiveRefLayerFlag = false; 
-#if H_MV_HLS_FIX
   m_vpsPocLsbAlignedFlag  = false; 
-#endif
   m_directDepTypeLenMinus2   = 0;         
   
@@ -1956,8 +1950,6 @@
     m_layerIdInNuh      [i] = ( i == 0 ) ? 0 : -1; 
     m_numDirectRefLayers[i] = 0; 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     m_numRefListLayers[i] = 0; 
-#endif
 #endif
     m_vpsRepFormatIdx    [i] = 0; 
@@ -1968,12 +1960,4 @@
 #if H_3D
     m_viewIndex         [i] = -1; 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-    m_vpsDepthModesFlag [i] = false;
-    m_ivMvScalingFlag[i] = true; 
-    m_bIVPFlag [i]      = false;
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-    m_singleDepthModeFlag[ i ] = false;
-#endif
-#endif
 #endif
 
@@ -1984,8 +1968,6 @@
       m_dependencyFlag  [i][j]    = false; 
       m_idDirectRefLayer[i][j]    = -1; 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
       m_idRefListLayer[i][j]    = -1; 
-#endif
 #endif
       m_idPredictedLayer[i][j]    = -1; 
@@ -1999,8 +1981,4 @@
     }
 #if H_3D_ARP
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-    m_uiUseAdvResPred[i]  = 0;
-    m_uiARPStepNum[i]     = 1;
-#endif
 #endif
   }
@@ -2008,38 +1986,4 @@
   m_dpbSize = new TComDpbSize; 
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D
-  for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
-  {
-#if H_3D_IV_MERGE
-    m_ivMvPredFlag         [ i ] = false;
-#if H_3D_SPIVMP
-    m_iSubPULog2Size       [ i ] = 0;
-#endif
-#endif
-#if H_3D_QTLPC
-    m_bLimQtPredFlag       [ i ] = false;
-#endif
-#if H_3D_VSP
-    m_viewSynthesisPredFlag[ i ] = false;
-#endif
-#if H_3D_NBDV_REF
-    m_depthRefinementFlag  [ i ] = false;
-#endif
-#if H_3D_INTER_SDC
-    m_bInterSDCFlag        [ i ] = false;
-#endif
-#if H_3D
-    m_bIVPFlag             [ i ] = false;
-#endif
-#if H_3D_DBBP
-    m_dbbpFlag             [ i ] = false;
-#endif
-#if H_3D_IV_MERGE
-    m_bMPIFlag             [ i ] = false;
-#endif
-  }  
-#endif
-#endif
 
 #endif
@@ -2132,9 +2076,7 @@
     Int iNuhLId = getLayerIdInNuh( i );
     Int d = 0;
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     Int l = 0; 
 #endif
-#endif
     Int r = 0;
     Int p = 0;
@@ -2147,5 +2089,4 @@
         m_idDirectRefLayer[iNuhLId][d++] = jNuhLid;
       }
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
       if( getDirectDependencyFlag( i , j ) && ( getDepthId( iNuhLId ) == getDepthId( jNuhLid ) ))
@@ -2154,5 +2095,4 @@
       }
 #endif
-#endif
 
       if( getDependencyFlag( i , j ) )
@@ -2166,8 +2106,6 @@
     }
     m_numDirectRefLayers[ iNuhLId ] = d;
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
     m_numRefListLayers[ iNuhLId ] = l; 
-#endif
 #endif
 
@@ -2206,5 +2144,4 @@
 
 
-#if H_MV_FIX_NUM_VIEWS
 Void     TComVPS::initNumViews( )
 {
@@ -2242,5 +2179,4 @@
   }
 }
-#endif
 
 
@@ -2403,19 +2339,4 @@
 }
 
-#if !H_MV_FIX_NUM_VIEWS
-Int TComVPS::getNumViews()
-{
-  Int numViews = 1; 
-  for( Int i = 0; i <=  getMaxLayersMinus1(); i++ )
-  {
-    Int lId = getLayerIdInNuh( i ); 
-    if ( i > 0 && ( getViewIndex( lId ) != getScalabilityId( i - 1, VIEW_ORDER_INDEX ) ) )
-    {
-      numViews++; 
-    }    
-  }
-  return numViews;
-}
-#endif
 
 
@@ -2656,8 +2577,6 @@
   xPrintArray( "IdRefLayer"      , getMaxLayersMinus1() + 1, m_layerIdInNuh, m_numRefLayers, m_idRefLayer, true );
   xPrintArray( "IdDirectRefLayer", getMaxLayersMinus1() + 1, m_layerIdInNuh, m_numDirectRefLayers, m_idDirectRefLayer, true );
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   xPrintArray( "IdRefListLayer", getMaxLayersMinus1() + 1, m_layerIdInNuh, m_numRefListLayers, m_idRefListLayer, true );
-#endif
 #endif
 
@@ -3084,24 +3003,5 @@
       i++;
     }
-#if SHARP_DLT_SIMP_J0029
     iIdxUp = bFound ?  iIdxDown + 1 : iNumDepthValues-1;
-#else
-    // iterate over indices to find upper closest depth
-    i = iNumDepthValues-2;
-    bFound = false;
-    while(!bFound && i>=0)
-    {
-      if( m_iIdx2DepthValue[layerIdInVps][i] < p )
-      {
-        iIdxUp  = i+1;
-        bFound    = true;
-      }
-
-      i--;
-    }
-
-    // assert monotony
-    assert(iIdxDown<=iIdxUp);
-#endif
 
     // assign closer depth value/idx
@@ -3684,5 +3584,4 @@
 {
   TComVPS* vps = getVPS(); 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   Int refLayerIdx = vps->getLayerIdInVps( vps->getIdRefListLayer( getLayerId(), i ) ); 
@@ -3690,15 +3589,7 @@
   Int refLayerIdx = vps->getLayerIdInVps( vps->getIdDirectRefLayer( getLayerId(), i ) ); 
 #endif
-#else
-  Int refLayerIdx = vps->getLayerIdInVps( vps->getIdDirectRefLayer( getLayerId(), i ) ); 
-#endif
-
-#if H_MV_FIX_REF_LAYER_PIC_FLAG
+
   Bool refLayerPicFlag = ( vps->getSubLayersVpsMaxMinus1( refLayerIdx ) >=  getTLayer()  && ( getTLayer() == 0   ||
     vps->getMaxTidIlRefPicsPlus1( refLayerIdx, vps->getLayerIdInVps( getLayerId() )) > getTLayer() )); 
-#else
-  Bool refLayerPicFlag = ( vps->getSubLayersVpsMaxMinus1( refLayerIdx ) >=  getTLayer() )  && ( getTLayer() == 0  ) &&
-    ( vps->getMaxTidIlRefPicsPlus1( refLayerIdx, vps->getLayerIdInVps( getLayerId() )) > getTLayer() ); 
-#endif
   return refLayerPicFlag;       
 }    
@@ -3708,5 +3599,4 @@
   Int refLayerPicIdc = -1; 
   Int curj = 0; 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   for( Int i = 0;  i < getVPS()->getNumRefListLayers( getLayerId()) ; i++ )
@@ -3714,7 +3604,4 @@
   for( Int i = 0;  i < getVPS()->getNumDirectRefLayers( getLayerId()) ; i++ )
 #endif
-#else
-  for( Int i = 0;  i < getVPS()->getNumDirectRefLayers( getLayerId()) ; i++ )
-#endif
   {
     if( getRefLayerPicFlag( i ) )
@@ -3737,5 +3624,4 @@
 {  
   Int numRefLayerPics = 0; 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   for( Int i = 0;  i < getVPS()->getNumRefListLayers( getLayerId()) ; i++ )
@@ -3743,7 +3629,4 @@
   for( Int i = 0;  i < getVPS()->getNumDirectRefLayers( getLayerId()) ; i++ )
 #endif
-#else
-  for( Int i = 0;  i < getVPS()->getNumDirectRefLayers( getLayerId()) ; i++ )
-#endif
   {
     numRefLayerPics += getRefLayerPicFlag( i ); 
@@ -3770,5 +3653,4 @@
     numActiveRefLayerPics = 0; 
   }
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumRefListLayers( getLayerId() ) == 1 )
@@ -3776,7 +3658,4 @@
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
 #endif
-#else
-  else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
-#endif  
   {
     numActiveRefLayerPics = 1; 
@@ -3791,5 +3670,4 @@
 Int TComSlice::getRefPicLayerId( Int i )
 {
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   return getVPS()->getIdRefListLayer( getLayerId(), getInterLayerPredLayerIdc( i ) );
@@ -3797,10 +3675,6 @@
   return getVPS()->getIdDirectRefLayer( getLayerId(), getInterLayerPredLayerIdc( i ) );
 #endif
-#else
-  return getVPS()->getIdDirectRefLayer( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#endif
-}
-
-#if SEC_ARP_VIEW_REF_CHECK_J0037 || SEC_DBBP_VIEW_REF_CHECK_J0037
+}
+#if H_3D
 Void TComSlice::setDefaultRefView( )
 {
@@ -3839,9 +3713,5 @@
 {
   Bool tempRefPicInListsFlag = false;
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( !getIvResPredFlag() || this->isIRAP())
-#else
-  if(!getVPS()->getUseAdvRP(getLayerId()) || this->isIRAP())
-#endif
   {
     m_nARPStepNum = 0;
@@ -3871,14 +3741,6 @@
       }
     }
-#if SEC_ARP_VIEW_REF_CHECK_J0037
     tempRefPicInListsFlag = (getFirstTRefIdx(REF_PIC_LIST_0) >= 0 || getFirstTRefIdx(REF_PIC_LIST_1) >= 0) && getDefaultRefViewIdxAvailableFlag();
-#else
-    tempRefPicInListsFlag = getFirstTRefIdx(REF_PIC_LIST_0) >= 0 || getFirstTRefIdx(REF_PIC_LIST_1) >= 0;
-#endif
-#if HHI_TOOL_PARAMETERS_I2_J0107
     m_nARPStepNum = tempRefPicInListsFlag ?  H_3D_ARP_WFNR : 0;
-#else
-    m_nARPStepNum = tempRefPicInListsFlag ? getVPS()->getARPStepNum(getLayerId()) : 0;
-#endif
   }
 
@@ -4063,44 +3925,14 @@
   Bool setupLUT = false; 
   
-#if HHI_TOOL_PARAMETERS_I2_J0107
   setupLUT = setupLUT || getViewSynthesisPredFlag( ); 
-#else
-  Int layerIdInVPS = getVPS()->getLayerIdInNuh( m_layerId ); 
-#if H_3D_VSP
-  setupLUT = setupLUT || getVPS()->getViewSynthesisPredFlag( layerIdInVPS); 
-#endif
-#endif
 
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
   setupLUT = setupLUT || getDepthRefinementFlag( );
-#else
-  setupLUT = setupLUT || getVPS()->getDepthRefinementFlag( layerIdInVPS );
-#endif
 #endif 
 
 #if H_3D_IV_MERGE
-#if HHI_TOOL_PARAMETERS_I2_J0107
   setupLUT = setupLUT || ( getIvMvPredFlag() && getIsDepth() );
-#else
-  setupLUT = setupLUT || ( getVPS()->getIvMvPredFlag(layerIdInVPS ) && getIsDepth() );
-#endif
-#endif
-
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-#if H_3D_FCO
-  if( getIsDepth() && getViewIndex() > 0 && getVPS()->getMPIFlag(layerIdInVPS))
-#else
-  if( getIsDepth() && getViewIndex() > 0 )
-#endif
-  {
-      TComSlice *pcTextSlice = getTexturePic()->getSlice( 0 );
-      memcpy( m_aiDDDInvScale, pcTextSlice->m_aiDDDInvScale, sizeof( Int ) * getViewIndex() );
-      memcpy( m_aiDDDInvOffset, pcTextSlice->m_aiDDDInvOffset, sizeof( Int ) * getViewIndex() );
-      memcpy( m_aiDDDShift, pcTextSlice->m_aiDDDShift, sizeof( Int ) * getViewIndex() );             
-  }  
-#endif 
-#endif
+#endif
+
 
   if( !setupLUT )
@@ -4151,78 +3983,9 @@
       m_depthToDisparityF[ i ][ d ] = ( invCodScale[ i ] * d + invOffset ) >> log2Div; 
     }
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    initializeDDDPara( vps->getCamParPrecision(), codScale[ i ], codOffset[ i ], i );
-#endif
-#endif
-  }
-}
-#endif
-#endif
-
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-Void TComSlice::initializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx )
-{
-    UInt uiViewId     = getViewIndex();
-
-    if( uiViewId == 0 )
-    {
-        m_aiDDDInvScale[ iBaseViewIdx ] = m_aiDDDInvOffset[ iBaseViewIdx ] = m_aiDDDShift[ iBaseViewIdx ] = 0;
-        return;
-    }
-
-
-    Int iSign = iCodedScale >= 0 ? 1 : -1;
-    iCodedScale = abs( iCodedScale );
-
-    Int iBitWidth = 0;
-
-    const Int iInvPres = 9;
-
-    while( ((( 1 << iBitWidth ) << 1 ) <= iCodedScale ) )
-    {
-        iBitWidth ++;
-    }
-    iBitWidth += iInvPres;
-    Int iTargetValue =  1 << iBitWidth;
-
-    Int iMinError = MAX_INT;
-    Int iBestD = 1 << ( iInvPres - 1 );
-    for( Int d = 1 << ( iInvPres - 1 ); d < ( 1 << iInvPres ); d++ )
-    {
-        Int iError = abs( iCodedScale * d - iTargetValue );
-        if( iError < iMinError )
-        {
-            iMinError = iError;
-            iBestD = d;
-        }
-        if( iMinError == 0 )
-        {
-            break;
-        }
-    }
-    Int iRoundingDir = 0;
-    if( iCodedScale * iBestD > iTargetValue )
-    {
-        iRoundingDir = -1;
-    }
-    else if( iCodedScale * iBestD < iTargetValue )
-    {
-        iRoundingDir = 1;
-    }
-    Int iCamPres = uiCamParsCodedPrecision - 1;
-    m_aiDDDInvScale [ iBaseViewIdx ] = ( iBestD << ( iCamPres + g_bitDepthY )) * iSign;
-    m_aiDDDInvOffset[ iBaseViewIdx ] = -iSign * iBestD * ( iCodedOffset << g_bitDepthY );
-    m_aiDDDShift    [ iBaseViewIdx ] = iBitWidth;
-    m_aiDDDInvOffset[ iBaseViewIdx ] += 1 << ( m_aiDDDShift[ iBaseViewIdx ] - 1 );
-    m_aiDDDInvOffset[ iBaseViewIdx ] += ( 1 << ( m_aiDDDShift[ iBaseViewIdx ] - 4 ) ) * iRoundingDir;
-
-    return;
-}
-
-
-#endif
-#endif
+  }
+}
+#endif
+#endif
+
 
 #if H_MV
@@ -4258,14 +4021,5 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DBBP
-Int TComSlice::getDepthFromDV( Int iDV, Int iBaseViewIdx )
-{
-  return ClipY(( iDV * m_aiDDDInvScale[ iBaseViewIdx ] + m_aiDDDInvOffset[ iBaseViewIdx ] ) >> m_aiDDDShift[ iBaseViewIdx ]);
-}
-#endif
-#endif
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+
 #if H_3D
 
@@ -4364,5 +4118,4 @@
 }
 #endif
-#endif
 
 
Index: /trunk/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComSlice.h	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComSlice.h	(revision 1133)
@@ -861,7 +861,5 @@
   TComRepFormat* m_repFormat             [MAX_NUM_LAYERS]; 
   Bool        m_maxOneActiveRefLayerFlag;       
-#if H_MV_HLS7_GEN || H_MV_HLS_FIX
   Bool        m_vpsPocLsbAlignedFlag;
-#endif
   Bool        m_pocLsbNotPresentFlag     [MAX_NUM_LAYERS];
 
@@ -884,14 +882,10 @@
   Int         m_dependencyFlag           [MAX_NUM_LAYERS][MAX_NUM_LAYERS]; 
 
-#if H_MV_FIX_NUM_VIEWS
   Int         m_numViews; 
-#endif
   Int         m_numDirectRefLayers       [MAX_NUM_LAYERS];
   Int         m_idDirectRefLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   Int         m_numRefListLayers         [MAX_NUM_LAYERS];
   Int         m_idRefListLayer           [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#endif
 #endif
 
@@ -919,31 +913,4 @@
   Void        xSetRefLayerFlags( Int currLayerId );
   // VPS EXTENSION 2 SYNTAX ELEMENTS
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_ARP
-  UInt        m_uiUseAdvResPred          [MAX_NUM_LAYERS   ];
-  UInt        m_uiARPStepNum             [MAX_NUM_LAYERS   ];
-#endif
-#if H_3D_IV_MERGE
-  Bool        m_ivMvPredFlag             [ MAX_NUM_LAYERS ]; 
-  Bool        m_ivMvScalingFlag          [ MAX_NUM_LAYERS ]; 
-#if H_3D_SPIVMP
-  Int         m_iSubPULog2Size           [MAX_NUM_LAYERS   ];
-  Int         m_iSubPUMPILog2Size        [MAX_NUM_LAYERS   ];
-#endif
-#endif
-#if H_3D_QTLPC
-  Bool        m_bLimQtPredFlag           [ MAX_NUM_LAYERS ];
-#endif
-#if H_3D_VSP
-  Bool        m_viewSynthesisPredFlag    [ MAX_NUM_LAYERS ];
-#endif
-#if H_3D_NBDV_REF
-  Bool        m_depthRefinementFlag      [ MAX_NUM_LAYERS ]; 
-#endif
-  Bool        m_vpsDepthModesFlag        [MAX_NUM_LAYERS   ];
-#if H_3D
-  Bool        m_bIVPFlag                 [MAX_NUM_LAYERS   ];
-#endif
-#endif
 #if H_3D
   UInt        m_uiCamParPrecision;
@@ -953,24 +920,8 @@
   Int         ***m_aaaiCodedOffset;
 
-#if H_MV_FIX_NUM_VIEWS
 #if HHI_VIEW_ID_LIST_I5_J0107
   std::vector<Int>  m_viewOIdxList;
 #endif
-#endif
-
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_INTER_SDC
-  Bool        m_bInterSDCFlag[MAX_NUM_LAYERS   ];
-#endif
-#if H_3D_DBBP
-  Bool        m_dbbpFlag[MAX_NUM_LAYERS];
-#endif
-#if H_3D_IV_MERGE
-  Bool        m_bMPIFlag[MAX_NUM_LAYERS   ];
-#endif
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-  Bool        m_singleDepthModeFlag    [ MAX_NUM_LAYERS ];
-#endif
+
 #endif
 
@@ -1159,8 +1110,6 @@
   Bool    getMaxOneActiveRefLayerFlag( )                                   { return m_maxOneActiveRefLayerFlag; } 
 
-#if H_MV_HLS7_GEN || H_MV_HLS_FIX
   Void    setVpsPocLsbAlignedFlag( Bool flag )                             { m_vpsPocLsbAlignedFlag = flag; } 
   Bool    getVpsPocLsbAlignedFlag(  )                                      { return m_vpsPocLsbAlignedFlag; } 
-#endif
 
   Void    setDpbSize( TComDpbSize* val )                                   { assert( m_dpbSize != 0 ); m_dpbSize = val; } 
@@ -1196,14 +1145,9 @@
   Void    setRefLayers(); 
 
-#if H_MV_FIX_NUM_VIEWS
   // To be aligned with spec naming, getViewIndex will be removed in future versions
   Int     getViewOrderIdx ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), VIEW_ORDER_INDEX  ); }    
   Int     getViewIndex    ( Int layerIdInNuh )                             { return getViewOrderIdx( layerIdInNuh ); }    
-#else
-  Int     getViewIndex    ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), VIEW_ORDER_INDEX  ); }    
-#endif
   Int     getAuxId        ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), AUX_ID  ); }    
   Int     getDependencyId ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), DEPENDENCY_ID  ); }    
-#if H_MV_FIX_NUM_VIEWS
   Int     getNumViews()                                                    { return m_numViews; }
   Void    initNumViews();
@@ -1211,14 +1155,9 @@
   Int     getViewOIdxList( Int i )                                         { return m_viewOIdxList[i]; }
 #endif
-#else
-  Int     getNumViews();
-#endif
 
   Bool    getDependencyFlag( Int i, Int j )                                { return m_dependencyFlag[i][j]; }
   Int     getNumDirectRefLayers( Int layerIdInNuh )                        { return m_numDirectRefLayers[ layerIdInNuh ];  };                               
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   Int     getNumRefListLayers( Int layerIdInNuh )                         { return m_numRefListLayers[ layerIdInNuh ];  };                               
-#endif
 #endif
 
@@ -1230,8 +1169,6 @@
   Int     getIdPredictedLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumPredictedLayers( i )); return m_idPredictedLayer[i][j]; } 
   Int     getIdDirectRefLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumDirectRefLayers( i )); return m_idDirectRefLayer[i][j]; } 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   Int     getIdRefListLayer          ( Int i, Int j ) { assert( j >= 0 && j < getNumRefListLayers   ( i )); return m_idRefListLayer[i][j]; } 
-#endif
 #endif
   Int     getNumIndependentLayers    (  )             { return m_numIndependentLayers; } 
@@ -1333,17 +1270,7 @@
 #if H_3D  
   Int     getDepthId      ( Int layerIdInNuh)                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), DEPTH_ID ); }
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool    getVpsDepthFlag( Int layerIdInNuh)                              { return (getDepthId( layerIdInNuh ) > 0);  }
-#endif
   Int     getLayerIdInNuh( Int viewIndex, Bool depthFlag );   
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_ARP
-  UInt    getUseAdvRP  ( Int layerIdInVps )                                { return m_uiUseAdvResPred[layerIdInVps];    }
-  UInt    getARPStepNum( Int layerIdInVps )                                { return m_uiARPStepNum[layerIdInVps];       }
-  Void    setUseAdvRP  ( Int layerIdInVps, UInt val )                      { m_uiUseAdvResPred[layerIdInVps] = val;     }
-  Void    setARPStepNum( Int layerIdInVps, UInt val )                      { m_uiARPStepNum[layerIdInVps]    = val;     }
-#endif
-#endif
 
   Void createCamPars(Int iNumViews);
@@ -1360,53 +1287,4 @@
   Int* getInvCodedOffset     ( Int viewIndex )  { return m_aaaiCodedOffset[viewIndex][1]; }
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_IV_MERGE
-  Void    setIvMvPredFlag     ( Int layerIdInVps, Bool val )  { m_ivMvPredFlag[ layerIdInVps ] = val; }
-  Bool    getIvMvPredFlag     ( Int layerIdInVps )            { return m_ivMvPredFlag[ layerIdInVps ]; }; 
-#if H_3D_SPIVMP
-  Int     getSubPULog2Size(Int layerIdInVps)           { return m_iSubPULog2Size[layerIdInVps]; }
-  Void    setSubPULog2Size(Int layerIdInVps, Int u)    { m_iSubPULog2Size[layerIdInVps] = u;}
-  Int     getSubPUMPILog2Size(Int layerIdInVps)           { return m_iSubPUMPILog2Size[layerIdInVps]; }
-  Void    setSubPUMPILog2Size(Int layerIdInVps, Int u)    { m_iSubPUMPILog2Size[layerIdInVps] = u;}
-#endif
-#endif
-#if H_3D_QTLPC
-  Void    setLimQtPredFlag    ( Int layerIdInVps, Bool val )  { m_bLimQtPredFlag[ layerIdInVps ] = val; }
-  Bool    getLimQtPredFlag    ( Int layerIdInVps ) { return m_bLimQtPredFlag[layerIdInVps];}
-#endif
-#if H_3D_VSP
-  Void    setViewSynthesisPredFlag  ( Int layerIdInVps, Bool val )  { m_viewSynthesisPredFlag[ layerIdInVps ] = val; }
-  Bool    getViewSynthesisPredFlag  ( Int layerIdInVps )            { return m_viewSynthesisPredFlag[ layerIdInVps ]; }; 
-#endif
-#if H_3D_NBDV_REF
-  Void    setDepthRefinementFlag  ( Int layerIdInVps, Bool val )  { m_depthRefinementFlag[ layerIdInVps ] = val; }
-  Bool    getDepthRefinementFlag  ( Int layerIdInVps )            { return m_depthRefinementFlag[ layerIdInVps ]; }; 
-#endif
-  Void    setVpsDepthModesFlag( Int layerIdInVps, Bool val )               { m_vpsDepthModesFlag[ layerIdInVps ] = val; }
-  Bool    getVpsDepthModesFlag( Int layerIdInVps )                         { return m_vpsDepthModesFlag[ layerIdInVps ]; }
-
-  Void    setIVPFlag( Int layerIdInVps, Bool val )                    { m_bIVPFlag[ layerIdInVps ] = val; }
-  Bool    getIVPFlag( Int layerIdInVps )                              { return m_bIVPFlag[ layerIdInVps ]; }
-
-  Bool    getIvMvScalingFlag   ( Int layerIdInVps )                        { return m_ivMvScalingFlag[ layerIdInVps ]; }
-  Void    setIvMvScalingFlag   (Int layerIdInVps, Bool b )                 { m_ivMvScalingFlag[ layerIdInVps ] = b;    }  
-
-#if H_3D_INTER_SDC
-  Bool    getInterSDCFlag      ( Int layerIdInVps )           { return m_bInterSDCFlag[layerIdInVps]; }
-  Void    setInterSDCFlag      ( Int layerIdInVps, Bool bval ){ m_bInterSDCFlag[layerIdInVps] = bval; }
-#endif
-#if H_3D_DBBP
-  Bool getUseDBBP              ( Int layerIdInVps )         { return m_dbbpFlag[layerIdInVps]; }
-  Void setUseDBBP              ( Int layerIdInVps, Bool bval ){ m_dbbpFlag[layerIdInVps] = bval; }
-#endif
-#if H_3D_IV_MERGE
-  Bool    getMPIFlag      ( Int layerIdInVps )           { return m_bMPIFlag[layerIdInVps]; }
-  Void    setMPIFlag      ( Int layerIdInVps, Bool bval ){ m_bMPIFlag[layerIdInVps] = bval; }
-#endif
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-  Void    setSingleDepthModeFlag  ( Int layerIdInVps, Bool val )  { m_singleDepthModeFlag[ layerIdInVps ] = val; }
-  Bool    getSingleDepthModeFlag  ( Int layerIdInVps )            { return m_singleDepthModeFlag[ layerIdInVps ]; }; 
-#endif
-#endif  
 #endif
 #endif
@@ -1675,5 +1553,4 @@
 };
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
 class TComSps3dExtension
@@ -1762,5 +1639,4 @@
 
 #endif
-#endif
 
 /// SPS class
@@ -1863,7 +1739,5 @@
 #endif
 #if H_3D
-#if HHI_TOOL_PARAMETERS_I2_J0107
   TComSps3dExtension m_sps3dExtension; 
-#endif
   UInt        m_uiCamParPrecision;
   Bool        m_bCamParInSliceHeader;
@@ -2044,9 +1918,7 @@
   Bool getInterViewMvVertConstraintFlag()         { return m_interViewMvVertConstraintFlag;}
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   Void setSps3dExtension ( TComSps3dExtension& sps3dExtension ) { m_sps3dExtension = sps3dExtension; }
   TComSps3dExtension* getSps3dExtension ( )                     { return &m_sps3dExtension; }
-#endif
 #endif
 
@@ -2505,11 +2377,4 @@
 #endif
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  Int          m_aiDDDInvScale [MAX_NUM_LAYERS];
-  Int          m_aiDDDInvOffset[MAX_NUM_LAYERS];
-  UInt         m_aiDDDShift    [MAX_NUM_LAYERS];
-#endif
-#endif
 #if H_3D_SINGLE_DEPTH
   Bool      m_bApplySingleDepthMode;
@@ -2519,10 +2384,7 @@
   Int *m_aICEnableNum;
 #endif
-#if LGE_DEFAULT_DV_J0046
   Int       m_iDefaultRefViewIdx;
   Bool      m_bDefaultRefViewIdxAvailableFlag;
-#endif
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+
   Bool m_ivMvPredFlag         ;
   Bool m_ivMvScalingFlag      ;
@@ -2540,5 +2402,4 @@
   Int  m_mpiSubPbSize         ; 
   Int  m_subPbSize            ; 
-#endif
 public:
   TComSlice();
@@ -2610,10 +2471,4 @@
 #if H_3D
   TComPic*  getTexturePic       ()                              { return  m_ivPicsCurrPoc[0][ m_viewIndex ]; }
-#endif
-#if !MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-#if H_3D_SINGLE_DEPTH
-  Void      setApplySingleDepthMode( Bool b )                                { m_bApplySingleDepthMode = b; }
-  Bool      getApplySingleDepthMode()                                        { return m_bApplySingleDepthMode; }
-#endif
 #endif
 #if H_3D_IC
@@ -2853,8 +2708,4 @@
   Int* getDepthToDisparityB( Int refViewIdx ) { return m_depthToDisparityB[ refViewIdx ]; }; 
   Int* getDepthToDisparityF( Int refViewIdx ) { return m_depthToDisparityF[ refViewIdx ]; }; 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Bool getVpsDepthModesFlag  ()  { return getVPS()->getVpsDepthModesFlag( getVPS()->getLayerIdInVps( m_layerId ) ); }
-  Bool getIVPFlag       ()  { return getVPS()->getIVPFlag( getVPS()->getLayerIdInVps( m_layerId ) ); }
-#endif
 #endif
 #if H_3D_IC
@@ -2914,11 +2765,6 @@
   Int  getPocMsbVal(  ) { return m_pocMsbVal; } 
 
-#if H_MV_HLS_FIX
   Bool getCraOrBlaPicFlag() { return ( getCraPicFlag() || getBlaPicFlag() ); } 
   Bool getPocMsbValRequiredFlag() { return ( getCraOrBlaPicFlag() && ( getVPS()->getVpsPocLsbAlignedFlag() || getVPS()->getNumDirectRefLayers( getLayerIdInVps() ) == 0 ) );  }
-#else
-  Bool getPocMsbValRequiredFlag() { return m_pocMsbValRequiredFlag; }
-  Void setPocMsbValRequiredFlag(Bool x) { m_pocMsbValRequiredFlag = x; }
-#endif
 
 
@@ -2938,5 +2784,4 @@
   // Additional variables derived in slice header semantics 
 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
   Int  getNumInterLayerRefPicsMinus1Len( ) { return gCeilLog2(  getVPS()->getNumRefListLayers( getLayerId() )); }
@@ -2947,8 +2792,4 @@
 #endif
 
-#else
-  Int  getNumInterLayerRefPicsMinus1Len( ) { return gCeilLog2(  getVPS()->getNumDirectRefLayers( getLayerId() )); }
-  Int  getInterLayerPredLayerIdcLen    ( ) { return gCeilLog2(  getVPS()->getNumDirectRefLayers( getLayerId() )); }
-#endif
 
   Int  getRefLayerPicFlag( Int i ); 
@@ -2967,5 +2808,4 @@
 
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   // 3D-HEVC tool parameters
@@ -2987,5 +2827,4 @@
   Int  getSubPbSize              ( ) { return m_subPbSize              ; }; 
 #endif
-#endif
 
 
@@ -2993,11 +2832,5 @@
   Bool inferPocMsbValPresentFlag();  
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  Void initializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx );
-  Int  getDepthFromDV( Int iDV, Int iBaseViewIdx );
-#endif
-#endif
-#if LGE_DEFAULT_DV_J0046
+#if H_3D
   Int  getDefaultRefViewIdx() { return m_iDefaultRefViewIdx; }
   Void setDefaultRefViewIdx(Int iViewIdx) { m_iDefaultRefViewIdx = iViewIdx; }
@@ -3005,9 +2838,6 @@
   Bool getDefaultRefViewIdxAvailableFlag() { return m_bDefaultRefViewIdxAvailableFlag; }
   Void setDefaultRefViewIdxAvailableFlag(Bool bViewIdx) { m_bDefaultRefViewIdxAvailableFlag = bViewIdx; }
-#endif
-#if SEC_ARP_VIEW_REF_CHECK_J0037 || SEC_DBBP_VIEW_REF_CHECK_J0037
   Void setDefaultRefView( );
 #endif
-
 protected:
   TComPic*  xGetRefPic  (TComList<TComPic*>& rcListPic,
